Skip to main content
PUT
/
inventory
/
increase_on_hand
Inventory - Increase On Hand
curl --request PUT \
  --url https://api.skulabs.com/inventory/increase_on_hand \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "location_id": "<string>",
  "item_id": "<string>",
  "amount": 123,
  "notes": "<string>",
  "no_invalidate": true,
  "lock_key": "<string>",
  "alert": 123
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
location_id
string
required

Location ID

item_id
string
required

Item ID

amount
number
required

Amount to increase by

notes
string

Notes for the change

no_invalidate
boolean

Skip cache invalidation

lock_key
string

Lock key for concurrent operations

alert
number

Set alert threshold

Response

On-hand increased

success
boolean
required

Whether the operation succeeded